## nwchem 6.5+r26243

=== debian/changelog ===
nwchem (6.5+r26243-6) unstable; urgency=medium

  * debian/control (Build-Depends): Added libblas-dev and liblapack-dev.
  * debian/rules (BLAS_LIB, LAPACK_LIB): New variables.
  * debian/patches/02_makefile_flags.patch: Updated to no longer build the
    internal blas/lapack code.
  * debian/rules (override_dh_auto_build-arch): Run 64_to_32 target prior to
    build, and 32_to_64 afterwards.
  * debian/rules (USE_64TO32): New variable for 64bit builds.
  * debian/testsuite: Added tce_cc2_c2.

 -- Michael Banck <mbanck@debian.org>  Sat, 03 Oct 2015 19:40:42 +0200

nwchem (6.5+r26243-5) unstable; urgency=medium

  * debian/patches/16_deterministic_timestamp_in_ar_workaround.patch: New
    patch, adds additional ar options that work around issues with
    non-deterministic builds (Closes: #790628).
  * debian/rules (USE_ARUR): New variable, activates the above change.

 -- Michael Banck <mbanck@debian.org>  Sat, 03 Oct 2015 16:06:32 +0200

nwchem (6.5+r26243-4) unstable; urgency=medium

  * debian/patches/02_makefile_flags.patch: Patch updated, to remove -m64 from
    compiler flags on arm64 (Closes: #769525).

 -- Michael Banck <mbanck@debian.org>  Sun, 23 Nov 2014 17:35:50 +0100

nwchem (6.5+r26243-3) unstable; urgency=medium

  * debian/patches/02_makefile_flags.patch: Patch updated to remove additions
    to $(FOPTIMIZE) which are not applicable to the baseline amd64
    architecture (Closes: #767481).
  * debian/patches/01_hardcode_basis-sets_location.patch: Reintroduced patch,
    updated (Closes: #769297).

 -- Michael Banck <mbanck@debian.org>  Thu, 13 Nov 2014 14:01:47 +0100

nwchem (6.5+r26243-2) unstable; urgency=medium

  * debian/patches/14_fix_ga_download.patch: Updated to surpress unnecessary
    extraction of Global Arrays tarball, which results in reversing some
    patches and leads to build failures.
  * debian/rules (LIBMPI): Use -lmpif77 on mpich architectures.

 -- Michael Banck <mbanck@debian.org>  Sun, 12 Oct 2014 00:20:42 +0200

nwchem (6.5+r26243-1) unstable; urgency=medium

  * New upstream release.  New features include:
    + Analytical TDDFT gradients
    + Open and closed-shell CPHF (Raman spectra for TDDFT)
    + Transition densities for excited states
    + Analytical 2nd derivatives for Becke97 style XC functionals
    + Spin-component scaled (SCS) MP2/CCSD
    + Accurate calculation of Electron Affinities (EA) and Ionization
      Potentials (IP) with equation-of-motion coupled-cluster theory
      (IP/EA-EOMCCSD)
    + Temperature accelerated molecular dynamics (TAMD)
    + 2D surface geometry optimizations
    + Frozen Phonon in BAND module
    + Complete handling of space groups
  * debian/patches/03_hurd-i386_define_path_max.patch: Updated, it was
    modifying a no longer used version of the file, resulting in a build
    failure on hurd-i386.
  * debian/control (Priority): Set to optional.
  * debian/rules (LIBMPI): Added -lmpi_f77.
  * debian/TODO: Updated.
  * debian/patches/03_hurd-i386_define_path_max.patch: Updated for new GA release.
  * debian/patches/06_statfs_kfreebsd.patch: Likewise.
  * debian/patches/07_ga_target_force_linux.patch: Likewise.
  * debian/patches/11_fix_armci_locks.patch: Likewise.
  * debian/patches/12_pythonlib_multiarch_path.patch: Updated.
  * debian/patches/02_makefile_flags.patch: Updated.
  * debian/upstream: Moved to debian/upstream/metadata.
  * debian/patches/14_fix_ga_download.patch: New patch, avoids downloading GA
    tarball if present already.
  * debian/rules (GA_COPT, ARMCI_COPT): New variables, set CFLAGS for Global
    Arrays build to '-g -O2'.
  * debian/control (Build-Depends): Added libscalapack-mpi-dev.
  * debian/rules (USE_SCALAPACK, SCALAPACK): New variables on 32bit arches,
    enabling scalapack support.  This fixes some test suite crashes during
    parallel diagonalization.
  * debian/patches/15_testsuite_print_output_on_failure.patch: New patch,
    prints the last 50 lines of a test output if NWChem execution fails during
    the test.
  * debian/testsuite: Update 'all' tests with current set of QM/MD tests of
    upstream testsuite.
  * debian/testsuite: Added tddftgrad_n2_uks.out, tddftgrad_ch2o,
    tce_eaccsd_ozone, tce_ipccsd_f2, tce_hyperpolar_ccsd_small, mp2_scs_n2,
    cosmo_h3co, h2o_selci, n2_ccsd, pspw_md, pspw_stress and qmmm_grad0.
  * debian/patches/01_hardcode_basis-sets_location.patch: Removed, no longer
    needed.
  * debian/rules (IPCCSD, EACCSD): New variable, enabling IP/EA functionality
    for EOMCCSD.
  * debian/control (Description): Updated for new features.
  * debian/rules (RUNTESTS): Switched to runtests.mpi.unix.
  * debian/patches/04_show_testsuite_diff_output.patch: Updated for new
    $(RUNTESTS) script.  
  * debian/patches/15_testsuite_print_output_on_failure.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Oct 2014 14:41:59 +0200

nwchem (6.3+r2-3) unstable; urgency=medium

  * debian/rules (CCSDTLR): New variable, enables the CCSDT linear response
    code if `ccsdtlr' is set in DEB_BUILD_OPTIONS.
  * debian/rules (DEB_HOST_ARCH): New variable, seeded from dpkg-architecture.
  * debian/rules (GCC49_ARM_BROKEN): New variable, defined on armhf.
  * debian/patches/13_armhf_noopt.patch: New patch, adds -O1 to FFLAGS for the
    tce/mrcc submodule if GCC49_ARM_BROKEN is defined, fixing gfortran-4.9 bad
    assembler generation on armhf.

 -- Michael Banck <mbanck@debian.org>  Thu, 25 Sep 2014 10:40:25 +0200

nwchem (6.3+r2-2) unstable; urgency=medium

  * debian/TODO: Updated.
  * debian/testsuite: Removed cosmo_h3co_ecp test case as it crashes on a lot
    of architectures and results in a hang on powerpc.
  * debian/nwchem.install: Moved installation of user manual to ...
  * debian/nwchem-data.install: ... here.
  * debian/control (Build-Depends): Changed texlive to texlive-latex-base.
  * debian/rules (override_dh_auto_build): Split up into
    override_dh_auto_build-arch and override_dh_auto_build-indep, building the

