=== debian/changelog ===
nwchem (6.6+r27746-2) unstable; urgency=medium

  * debian/patches/17_fix_implicit_conversion_to_pointer.patch: New patch,
    includes ga-mpi.h, silencing build warnings/errors depending on compiler
    flags.
  * debian/rules: Disable scalapack on 32bit archictures for now as well.
  * debian/patches/18_upstream_patches.patch: New patch, contains the following
    upstream patches:
    + Cosmo_meminit.patch
    + Dplot_tolrho.patch
    + Driver_smalleig.patch
    + Ga_argv.patch
    + Raman_displ.patch
    + Sym_abelian.patch
    + Tddft_mxvec20.patch
    + Tools_lib64.patch
    + Xccvs98.patch

 -- Michael Banck <mbanck@debian.org>  Sun, 14 Feb 2016 13:05:15 +0100

nwchem (6.6+r27746-1) unstable; urgency=medium

  * New upstream release.  New features include:
    + New AIMD ab-initio molecular dynamics module (NVT, NVE) for molecular
      systems with gaussian basis sets
    + York-Karplus approach in the COSMO solvation model
    + Metropolis NVT and NPT added to PSPW module
    + Grimme2 and Grimme3 potentials added to NWPW module
    + New, simple to use, implementation of the PAW method into PSPW module
    + Equation parser for defining collective variables in Metadynamics and
      TAMD
  * debian/patches/03_hurd-i386_define_path_max.patch: Refreshed.
  * debian/patches/06_statfs_kfreebsd.patch: Likewise.
  * debian/patches/07_ga_target_force_linux.patch: Likewise.
  * debian/patches/11_fix_armci_locks.patch: Likewise.
  * debian/patches/12_pythonlib_multiarch_path.patch: Likewise.
  * debian/patches/16_deterministic_timestamp_in_ar_workaround.patch: Likewise.
  * debian/control (Build-Depends): Added pkg-config.
  * debian/rules (LIBMPI): Updated for new OpenMPI, thanks to Graham Inggs.
  * debian/rules (override_dh_auto_clean): Remove src/util/util_module_avail.F.
  * debian/patches/02_makefile_flags.patch: Updated.
  * debian/patches/14_fix_ga_download.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Sat, 13 Feb 2016 21:56:16 +0100
