=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                mpi-default-bin,
                mpi-default-dev,
                openssh-client,
+               pkg-config,
                python-dev (>= 2.6.6-3~),
                texlive-latex-base,
                zlib1g-dev
