=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,8 @@
 export NWCHEM_TARGET=LINUX
 export BLAS_LIB="yes"
 export LAPACK_LIB="yes"
-export USE_SCALAPACK="yes"
-export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
+#export USE_SCALAPACK="yes"
+#export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
 endif
 ifeq ($(DEB_HOST_ARCH),armhf)
 export GCC49_ARM_BROKEN="yes"
@@ -43,7 +43,7 @@
 ifeq ($(ARCH_DEFAULT_MPI_IMPL),mpich)
 export LIBMPI=-lmpi -lmpif77
 else
-export LIBMPI=-lmpi -lmpi_f77
+export LIBMPI=$(shell pkg-config mpi-fort --libs)
 endif
 export MPI_LIB=/usr/lib
 export MPI_INCLUDE=/usr/include/mpi
@@ -91,7 +91,7 @@
 	-(cd $(CURDIR)/doc && make realclean)
 	rm -rf $(CURDIR)/bin $(CURDIR)/lib $(CURDIR)/src/tools/lib 
 	rm -rf $(CURDIR)/QA/scratchdir $(CURDIR)/QA/testoutputs
-	rm -f src/util/util_version.F src/stubs.F
+	rm -f src/util/util_version.F src/stubs.F src/util/util_module_avail.F
 	find $(CURDIR) -name "*.stamp" | xargs rm -f
 	dh_auto_clean
