=== debian/watch ===
version=3
opts=filenamemangle=s/.*(Nwchem-[\d.]+.*?\.tar\.gz)/$1/g,uversionmangle=s/([\d.]+?)\.r(?:evision)?(\d+)/$1+r$2/g \
http://www.nwchem-sw.org/index.php/Download .*Nwchem-([\d.]+(?:r(?:evision)?\d+)?).*?\.tar\.gz
